### Hierarchy

- LayoutNetwork
  - CircularNetwork

This class represents an abstract graph of CircularVertexes and CircularEdges that can be constructed based on the Nodes and Links of a Diagram so that the CircularLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Index

### Constructors

- constructor

## Constructors

### constructor

- new CircularNetwork(layout: CircularLayout): CircularNetwork

- #### Parameters

  - ##### layout: CircularLayout

  #### Returns CircularNetwork

Copyright © 1998-2019 by Northwoods Software Corporation.